* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
}
* {
  user-select: none;
}

body {
  background: black;
  color: white;
}

/* ~~~~~~~~~header section~~~~~~~~ */

.header {
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("../assest/images/netflixbg.jpg");
  background-size: cover;
  background-position: center;
  padding: 10px 8%;
  position: relative;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0;
}

.logo {
  width: 150px;
  cursor: pointer;
}

.btn {
  border: 0;
  outline: 0;
  background: rgb(229, 9, 20);
  color: white;
  padding: 7px 20px;
  border-radius: 4px;
  cursor: pointer;
  font: bold;
  font-weight: 600;
}

.btn:hover {
  opacity: 90%;
}

.header-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  margin-top: 60px;
}

.header-content h1 {
  font-size: 50px;
  line-height: 70px;
  font-weight: 900;
  max-width: 650px;
  margin-bottom: 20px;
}

.header-content h3 {
  font-weight: 400;
  margin-bottom: 23px;
  font-weight: 500;
}

.header-content p {
  opacity: 80%;
}


.email-signup {
  background: #fff;
  border-radius: 4px;
  display: flex;
  align-items: center;
  margin-top: 20px;
  overflow: hidden;
}



.email-signup input {
  flex: 1;
  border: 0;
  outline: 0;
  margin-right: 20px;
  font-size: 16px;

}

.email-signup button {
  background: rgb(229, 9, 20);
  border: 0;
  outline: 0;
  color: white;
  font-size: 25px;
  cursor: pointer;
  padding: 15px 25px;
  font: bold;
  font-weight: 600;

}

.email-signup button:hover {
  opacity: 80%;
}

input::placeholder {
  color: #7b7979;
  font-size: 16px;
  padding: 0 20px;
}


/* ~~~~~~~~~feature~~~~~~~~~~ */
.feature {
  padding: 50px 12%;
  font-size: 22px;
}

.row {
  display: flex;
  width: 100%;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom: 50px;
}

.text-col {
  flex-basis: 50%;
  margin-bottom: 20px;
  padding: 0px 20px;

}

.img-col {
  flex-basis: 50%;
  margin-bottom: 20px;
}

.img-col img {
  display: block;
  width: 90%;
  margin: auto;
}

.feature h2 {
  font-size: 50px;
  font-weight: 600;
  margin-bottom: 20px;
  line-height: 55px;

}

.faq {
  padding: 10px 8%;
  text-align: center;
  font-size: 18px;
}

.faq h2 {
  font-weight: 500;
  font-size: 30px;
}

.accordion {
  margin: 60px auto;
  width: 100%;
}

.accordion li {
  list-style: none;
  width: 100%;
  padding: 5px;
}

.accordion li label {
  display: flex;
  align-items: center;
  font-size: 20px;
  padding: 25px;
  font-weight: 500;
  background: #303030;
  margin-bottom: 2px;
  cursor: pointer;
  position: relative;
  margin-right: 30px;

}

label::after {
  content: '+';
  font-size: 34px;
  position: absolute;
  right: 20px;
  transition: transform 0.3s;
}

input[type="radio"] {
  display: none;
}

.accordion .content {
  margin-right: 30px;
  text-align: left;
  background: #303030;
  padding: 0 20px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s, padding 0.5s;
}

.accordion input[type="radio"]:checked+label+.content {
  max-height: 600px;
  padding: 30px 20px;
}

.accordion input[type="radio"]:checked+label::after {
  transform: rotate(45deg);
}

.faq .email-signup {
  max-width: 650px;
  margin: 20px auto 60px;
}

.faq small {
  font-size: 13px;
  opacity: 70%;
}

/* ~~~~~~~~footer~~~~~~~~~~ */
.footer {
  padding: 50px 10%;
  margin-left: 130px;
}

.footer h2 {
  font-size: 18px;
  font-weight: 400;
  margin-bottom: 30px;
}

.footer h2 a {
  color: #ffffff97;
}

.footer .col {
  flex-basis: 25%;
  flex-grow: 1;
  margin-bottom: 20px;
}

.footer .col a {
  display: block;
  text-decoration: none;
  color: #777;
  font-size: 14px;
  margin-bottom: 10px;
}

.footer .row {
  align-items: flex-start;
  padding: 10px 0;
}